systemConfigData Struct Reference

`#include <systemconfigdata.h>`

## Public Attributes

char | signature [4]
macAddress | mac
uint16_t | spare
systemConfigFlags | configFlags
uint32_t | ip
uint32_t | dns
uint32_t | gw
uint32_t | mask
flashstr | configURL
flashpwd | MQTTpwd
flashpwd | OTApwd
flashstr | ETAG

## Member Data Documentation

## configFlags

systemConfigFlags systemConfigData::configFlags

## configURL

flashstr systemConfigData::configURL

## dns

uint32_t systemConfigData::dns

## ETAG

flashstr systemConfigData::ETAG

## gw

uint32_t systemConfigData::gw

## ip

uint32_t systemConfigData::ip

## mac

macAddress systemConfigData::mac

## mask

uint32_t systemConfigData::mask

## MQTTpwd

flashpwd systemConfigData::MQTTpwd

## OTApwd

flashpwd systemConfigData::OTApwd

## signature

char systemConfigData::signature[4]

## spare

uint16_t systemConfigData::spare

The documentation for this struct was generated from the following file:

- systemconfigdata.h